Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514342 - [RFE] Add visibility of Requests tab in roles
Summary: [RFE] Add visibility of Requests tab in roles
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: cfme-future
Assignee: Harpreet Kataria
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-17 07:13 UTC by Imaan
Modified: 2019-03-29 06:32 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-24 20:09:44 UTC
Category: Feature
Cloudforms Team: CFME Core


Attachments (Terms of Use)
tab_requests.png (deleted)
2017-11-17 07:14 UTC, Imaan
no flags Details
product_feature.png (deleted)
2017-11-17 07:14 UTC, Imaan
no flags Details

Comment 2 Imaan 2017-11-17 07:14:19 UTC
Created attachment 1354039 [details]
tab_requests.png

Comment 3 Imaan 2017-11-17 07:14:53 UTC
Created attachment 1354040 [details]
product_feature.png

Comment 4 Keenan Brock 2018-06-12 15:26:35 UTC
The product used to protect tabs with admin_user?
I've modified the to have miq_product_features for reports and all requests.

https://bugzilla.redhat.com/show_bug.cgi?id=1545401
https://bugzilla.redhat.com/show_bug.cgi?id=1090627

You can build upon this if you want to add multiple request product features.
I had intended to just bundle this BZ in with the other 2 but in the controllers
it was not super obvious which type of request was being protected

Comment 6 Harpreet Kataria 2019-01-24 18:55:30 UTC
This has been implemented in 

https://github.com/ManageIQ/manageiq/pull/17524
https://github.com/ManageIQ/manageiq-ui-classic/pull/4062

~Harpreet


Note You need to log in before you can comment on or make changes to this bug.